GNU Radio C++ API Reference: callbackregister_base::callback_t< T, Tsptr > Class Template Reference

| GNU Radio C++ API Reference 3.10.12.0 The Free & Open Software Radio Ecosystem |

Loading...
Searching...
No Matches
callbackregister_base::callback_t< T, Tsptr > Class Template Reference

`#include <gnuradio/rpccallbackregister_base.h>`

## Public Member Functions
| callback_t (T *callback_, priv_lvl_t priv_, const std::string &units_, const DisplayType display_, const ::std::string &desc_, const pmt::pmt_t &min_, const pmt::pmt_t &max_, const pmt::pmt_t &def_)
| callback_t (T *callback_, priv_lvl_t priv_, const ::std::string &desc_)
Public Member Functions inherited from callbackregister_base::callback_base_t
| callback_base_t (const priv_lvl_t priv_, const std::string &units_, const DisplayType display_, const std::string &desc_, const pmt::pmt_t min_, const pmt::pmt_t max_, const pmt::pmt_t def)

## Public Attributes
Tsptr | callback
Public Attributes inherited from callbackregister_base::callback_base_t
priv_lvl_t | priv
std::string | units
std::string | description
pmt::pmt_t | min
pmt::pmt_t | max
pmt::pmt_t | defaultvalue
DisplayType | display

## Constructor & Destructor Documentation

## ◆ callback_t() [1/2]

template<typename T, typename Tsptr>

callbackregister_base::callback_t< T, Tsptr >::callback_t | ( | T * | callback_,
|  | priv_lvl_t | priv_,
|  | const std::string & | units_,
|  | const DisplayType | display_,
|  | const ::std::string & | desc_,
|  | const pmt::pmt_t & | min_,
|  | const pmt::pmt_t & | max_,
|  | const pmt::pmt_t & | def_ )
| inline

References callback, and callbackregister_base::callback_base_t::callback_base_t().

## ◆ callback_t() [2/2]

template<typename T, typename Tsptr>

callbackregister_base::callback_t< T, Tsptr >::callback_t | ( | T * | callback_,
|  | priv_lvl_t | priv_,
|  | const ::std::string & | desc_ )
| inline

References callback, and callbackregister_base::callback_base_t::callback_base_t().

## Member Data Documentation

## ◆ callback

template<typename T, typename Tsptr>

Tsptr callbackregister_base::callback_t< T, Tsptr >::callback

Referenced by callback_t(), and callback_t().

The documentation for this class was generated from the following file:

- rpccallbackregister_base.h